Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

linkedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: linkedit.php 9200 2002-02-12 12:06:00Z br $
5 //
6 // Created on: <26-Oct-2000 14:58:57 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 /*
28 linkedit.php - edit a link.
29 */
30
31 // include_once( "classes/INIFile.php" );
32 // include_once( "classes/ezhttptool.php" );
33
34 $ini =& eZINI::instance( 'site.ini' );
35 $Language = $ini->variable( "eZLinkMain", "Language" );
36 $error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false );
37 $error_msg = false;
38 // include_once( "classes/eztemplate.php" );
39
40 // include_once( "ezlink/classes/ezlinkcategory.php" );
41 // include_once( "ezlink/classes/ezlink.php" );
42 // include_once( "ezlink/classes/ezhit.php" );
43
44 // include_once( "ezlink/classes/ezlinktype.php" );
45 // include_once( "ezlink/classes/ezlinkattribute.php" );
46
47 include_once( "kernel/ezlink/classes/ezmeta.php" );
48 require( "kernel/ezuser/admin/admincheck.php" );
49
50
51 if ( isset( $Accepted ) && $Accepted == "1" || !isset( $Accepted ) )
52 {
53 $yes_selected = "selected";
54 $no_selected = "";
55 }
56 else
57 {
58 $yes_selected = "";
59 $no_selected = "selected";
60 }
61
62 if ( isset( $DeleteLinks ) )
63 {
64 $Action = "DeleteLinks";
65 }
66
67 if ( isset( $Delete ) )
68 {
69 $Action = "delete";
70 }
71
72 if( isset( $Update ) )
73 {
74 $tname = $Name;
75 $turl = $Url;
76 $tkeywords = $Keywords;
77 $tdescription = $Description;
78 }
79
80 if ( isset( $Back ) )
81 {
82 if ( $LinkID != "" )
83 {
84 $link = new eZLink( $LinkID );
85 $catDef = $link->categoryDefinition();
86 $LinkCategoryID = $catDef->id();
87 }
88 else
89 {
90 $LinkCategoryID = 0;
91 }
92
93 eZHTTPTool::header( "Location: /link/category/$LinkCategoryID/" );
94 exit();
95 }
96
97 if ( isset( $CategoryArray ) )
98 $LinkCategoryIDArray = $CategoryArray;
99 else
100 $LinkCategoryIDArray = array();
101
102 if ( $Action == "new" )
103 {
104 if ( !eZPermission::checkPermission( $user, "eZLink", "LinkAdd" ) )
105 {
106 eZHTTPTool::header( "Location: /link/norights" );
107 }
108
109 $action_value = "new";
110
111 $LinkID = 0;
112 $error_msg = false;
113 $tdescription = false;
114 $tkeywords = false;
115 $tname = false;
116 $turl = false;
117 $linkType = false;
118 $tLinkCategoryID = false;
119
120 if ( isset( $OK ) || isset( $Browse ) )
121 {
122 $Action = "insert";
123 }
124 }
125
126 if ( $Action == "edit" )
127 {
128 $action_value = "edit";
129 if( isset( $OK ) )
130 {
131 $Action = "update";
132 }
133 }
134
135 // Get images from the image browse function.
136 if ( ( isset( $AddImages ) ) and ( is_numeric( $LinkID ) ) and ( is_numeric( $LinkID ) ) )
137 {
138 $image = new eZImage( $ImageID );
139 $link = new eZLink( $LinkID );
140 $link->setImage( $image );
141 $link->update();
142 $Action = "edit";
143 }
144
145 if ( isset( $GetSite ) && $GetSite )
146 {
147 if ( $Url )
148 {
149 if ( !preg_match( "%^([a-z]+://)%", $Url ) )
150 $real_url = "http://" . $Url;
151 else
152 $real_url = $Url;
153
154 $metaList = fetchURLInfo( $real_url );
155 if ( $metaList == false )
156 {
157 // Change this to use an external message
158 $error_msg = "The site does not exists";
159 }
160 /* else if( count( $metaList ) == 0 )
161 {
162 $inierror = new eZINI( "kernel/ezlink/user/" . "/intl/" . $Language . "/suggestlink.php.ini", false );
163 $terror_msg = $inierror->variable( "strings", "nometa" );
164 } */
165 if ( $metaList["description"] )
166 $tdescription = $metaList["description"];
167 else
168 $tdescription = "";
169
170 if ( isset( $metaList["keywords"] ) && $metaList["keywords"] )
171 $tkeywords = $metaList["keywords"];
172 else
173 $tkeywords = "";
174
175 if ( $metaList["title"] )
176 $tname = $metaList["title"];
177 else if ( $metaList["abstract"] )
178 $tname = $metaList["abstract"];
179 else
180 $tname = "";
181
182 $turl = $Url;
183 }
184 else
185 {
186 $tname = $Name;
187 $turl = $Url;
188 $tkeywords = $Keywords;
189 $tdescription = $Description;
190 }
191
192 $action_value = $Action;
193 if ( $Action != "edit" )
194 $Action = "";
195
196 }
197
198 // Update a link.
199 if ( $Action == "update" )
200 {
201 if ( eZPermission::checkPermission( $user, "eZLink", "LinkModify" ) )
202 {
203 if ( $Name != "" &&
204 $LinkCategoryID != "" &&
205 $Accepted != "" &&
206 $Url != "" )
207 {
208 $link = new eZLink( $LinkID );
209
210 $link->setName( $Name );
211 $link->setDescription( $Description );
212 $link->setKeyWords( $Keywords );
213 $link->setUrl( $Url );
214
215 if( !isset( $_REQUEST[ 'CategoryArray']) )
216 $CategoryArray = array();
217 // Calculate new and unused categories
218
219 $old_maincategory = $link->categoryDefinition();
220 $old_categories =& array_unique( array_merge( array( $old_maincategory->id() ),
221 $link->categories( false ) ) );
222 $new_categories = array_unique( array_merge( array( $LinkCategoryID ), $CategoryArray ) );
223 $remove_categories = array_diff( $old_categories, $new_categories );
224 $add_categories = array_diff( $new_categories, $old_categories );
225
226 foreach ( $remove_categories as $categoryItem )
227 {
228 eZLinkCategory::removeLink( $link, $categoryItem );
229 }
230
231 // add to categories
232 $category = new eZLinkCategory( $LinkCategoryID );
233 $link->setCategoryDefinition( $category );
234
235 foreach ( $add_categories as $categoryItem )
236 {
237 eZLinkCategory::addLink( $link, $categoryItem );
238 }
239
240 if ( $Accepted == "1" )
241 $link->setAccepted( true );
242 else
243 $link->setAccepted( false );
244
245 $link->setUrl( $Url );
246
247 $file = new eZPBImageFile();
248 if ( $file->getUploadedFile( "ImageFile" ) )
249 {
250 $image = new eZImage();
251 $image->setName( "LinkImage" );
252 $image->setImage( $file );
253
254 $image->store();
255
256 $link->setImage( $image );
257 }
258
259 if ( $TypeID == -1 )
260 {
261 $link->removeType();
262 }
263 else
264 {
265 $link->removeType();
266
267 $link->setType( new eZLinkType( $TypeID ) );
268
269 $i = 0;
270 if ( count( $AttributeValue ) > 0 )
271 {
272 foreach ( $AttributeValue as $attribute )
273 {
274 $att = new eZLinkAttribute( $AttributeID[$i] );
275
276 $att->setValue( $link, $attribute );
277
278 $i++;
279 }
280 }
281 }
282
283 $link->update();
284
285 if ( $DeleteImage )
286 {
287 $link->deleteImage();
288 }
289 if ( isset ( $Browse ) )
290 {
291 $linkID = $link->id();
292 $session =& eZSession::globalSession();
293 $session->setVariable( "SelectImages", "single" );
294 $session->setVariable( "ImageListReturnTo", "/link/linkedit/edit/$linkID/" );
295 $session->setVariable( "NameInBrowse", $link->name() );
296 eZHTTPTool::header( "Location: /imagecatalogue/browse/" );
297 exit();
298 }
299
300 if ( isset( $Attributes ) )
301 {
302 $linkID = $link->id();
303 eZHTTPTool::header( "Location: /link/linkedit/attributeedit/$linkID/" );
304 exit();
305 }
306
307 eZHTTPTool::header( "Location: /link/category/$LinkCategoryID" );
308 exit();
309 }
310 else
311 {
312 $error_msg = $error->variable( "strings", "error_missingdata" );
313 $action_value = "edit";
314
315 $tname = $Name;
316 $turl = $Url;
317 $tkeywords = $Keywords;
318 $tdescription = $Description;
319 }
320 }
321 else
322 {
323 eZHTTPTool::header( "Location: /link/norights" );
324 exit();
325 }
326 }
327
328 // Delete a link.
329 if ( $Action == "delete" )
330 {
331 if ( eZPermission::checkPermission( $user, "eZLink", "LinkDelete" ) )
332 {
333 $deletelink = new eZLink();
334 $deletelink->get( $LinkID );
335 $deletelink->delete();
336
337 if ( $deletelink->accepted() == false )
338 {
339 eZHTTPTool::header( "Location: /link/category/incoming" );
340 exit();
341 }
342 }
343 else
344 {
345 eZHTTPTool::header( "Location: /link/norights" );
346 }
347 }
348
349 if ( $Action == "DeleteLinks" )
350 {
351 if ( count ( $LinkArrayID ) != 0 )
352 {
353 foreach( $LinkArrayID as $LinkID )
354 {
355 $deletelink = new eZLink();
356 $deletelink->get( $LinkID );
357 $deletelink->delete();
358
359 }
360 if ( $deletelink )
361 {
362 if ( $deletelink->accepted() == false )
363 {
364 eZHTTPTool::header( "Location: /link/category/incoming" );
365 exit();
366 }
367 }
368 eZHTTPTool::header( "Location: /link/category/$LinkCategoryID" );
369 exit();
370 }
371 }
372
373 // Insert a link.
374 if ( $Action == "insert" )
375 {
376
377 if ( eZPermission::checkPermission( $user, "eZLink", "LinkAdd") )
378 {
379 if ( isset( $Name ) && $Name != "" &&
380 isset( $LinkCategoryID ) && $LinkCategoryID != "" &&
381 isset( $Accepted ) && $Accepted != "" &&
382 isset( $Url ) && $Url != "" )
383 {
384 $link = new eZLink();
385
386 $link->setName( $Name );
387 $link->setDescription( $Description );
388 $link->setKeyWords( $Keywords );
389 if ( $Accepted == "1" )
390 $link->setAccepted( true );
391 else
392 $link->setAccepted( false );
393
394 $link->setUrl( $Url );
395
396 $tname = $Name;
397 $turl = $Url;
398 if ( isset( $GetSite) && !$GetSite )
399 {
400 $tkeywords = $Keywords;
401 $tdescription = $Description;
402 }
403 $file = new eZPBImageFile();
404 if ( $file->getUploadedFile( "ImageFile" ) )
405 {
406 $image = new eZImage( );
407 $image->setName( "LinkImage" );
408 $image->setImage( $file );
409
410 $image->store();
411
412 $link->setImage( $image );
413 }
414 $link->store();
415 if ( $TypeID == -1 )
416 {
417 $link->removeType();
418 }
419 else
420 {
421 $link->setType( new eZLinkType( $TypeID ) );
422
423 $i = 0;
424 if ( count( $AttributeValue ) > 0 )
425 {
426 foreach ( $AttributeValue as $attribute )
427 {
428 $att = new eZLinkAttribute( $AttributeID[$i] );
429
430 $att->setValue( $link, $attribute );
431
432 $i++;
433 }
434 }
435 }
436
437 // Add to categories.
438 $cat = new eZLinkCategory( $LinkCategoryID );
439 $cat->addLink( $link );
440 $link->setCategoryDefinition( $cat );
441 if ( count( $CategoryArray ) > 0 )
442 {
443 foreach ( $CategoryArray as $categoryItem )
444 {
445 if ( $categoryItem != $cat->id() )
446 {
447 $cat = new eZLinkCategory( $categoryItem );
448 $cat->addLink( $link );
449 }
450 }
451 }
452 $linkID = $link->id();
453
454 if ( isset( $Browse ) )
455 {
456 $linkID = $link->id();
457 $session = eZSession::globalSession();
458 $session->setVariable( "SelectImages", "single" );
459 $session->setVariable( "ImageListReturnTo", "/link/linkedit/edit/$linkID/" );
460 $session->setVariable( "NameInBrowse", $link->name() );
461 eZHTTPTool::header( "Location: /imagecatalogue/browse/" );
462 exit();
463 }
464
465 if ( isset( $Attributes ) )
466 {
467 $linkID = $link->id();
468 eZHTTPTool::header( "Location: /link/linkedit/attributeedit/$linkID/" );
469 exit();
470 }
471
472 eZHTTPTool::header( "Location: /link/category/$LinkCategoryID" );
473 exit();
474 }
475 else if ( !isset( $Update ) && !isset( $GetSite ) )
476 {
477 $error_msg = $error->variable( "strings", "error_missingdata" );
478 $action_value = "new";
479
480 $tname = $Name;
481 $turl = $Url;
482 $tkeywords = $Keywords;
483 $tdescription = $Description;
484 }
485 }
486 else
487 {
488 eZHTTPTool::header( "Location: /link/norights" );
489 }
490 }
491
492 // set the template files.
493
494 $t = new eZTemplate( "kernel/ezlink/admin/" . $ini->variable( "eZLinkMain", "AdminTemplateDir" ),
495 "kernel/ezlink/admin/" . "/intl", $Language, "linkedit.php" );
496 $t->setAllStrings();
497
498 $t->set_file( "link_edit", "linkedit.tpl" );
499
500 $t->set_block( "link_edit", "link_category_tpl", "link_category" );
501
502 $t->set_block( "link_edit", "image_item_tpl", "image_item" );
503 $t->set_block( "link_edit", "no_image_item_tpl", "no_image_item" );
504
505 $t->set_block( "link_edit", "multiple_category_tpl", "multiple_category" );
506
507 $t->set_block( "link_edit", "type_tpl", "type" );
508
509 $t->set_block( "link_edit", "attribute_list_tpl", "attribute_list" );
510 $t->set_block( "attribute_list_tpl", "attribute_tpl", "attribute" );
511
512
513 $languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkedit.php.ini", false );
514 $headline = $languageIni->variable( "strings", "headline_insert" );
515
516 $linkselect = new eZLinkCategory();
517
518 $linkCategoryList =& $linkselect->getTree();
519
520 // Template variables.
521
522 // $action_value = "update";
523
524
525 $t->set_var( "image_item", "" );
526 $t->set_var( "no_image_item", "" );
527
528 // set accepted link as default.
529 // $yes_selected = "selected";
530 // $no_selected = "";
531
532 // editere
533 if ( $Action == "edit" )
534 {
535
536 $languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/linkedit.php.ini", false );
537 $headline = $languageIni->variable( "strings", "headline_edit" );
538
539 if ( !eZPermission::checkPermission( $user, "eZLink", "LinkModify" ) )
540 {
541 eZHTTPTool::header( "Location: /link/norights" );
542 }
543 else
544 {
545 if ( !isset( $editLink ) )
546 {
547 $editLink = new eZLink();
548 $editLink->get( $LinkID );
549 }
550
551 $name = $editLink->Name;
552
553 $cateDef = $editLink->categoryDefinition();
554 $LinkCategoryID = $cateDef->id();
555 $LinkCategoryIDArray = $editLink->categories( false );
556
557 $name = $editLink->name();
558 $description = $editLink->description();
559 $keywords = $editLink->keyWords();
560 $accepted = $editLink->accepted();
561 $url = $editLink->url();
562
563 $action_value = "edit";
564
565 if ( !isset( $Update ) )
566 {
567 $tname = $editLink->name();
568 $tdescription = $editLink->description();
569 $tkeywords = $editLink->keywords();
570 $turl = $editLink->url();
571 }
572
573 $linkType = $editLink->type();
574
575 $image = $editLink->image();
576
577 if ( $image )
578 {
579 $imageWidth =& $ini->variable( "eZLinkMain", "CategoryImageWidth" );
580 $imageHeight =& $ini->variable( "eZLinkMain", "CategoryImageHeight" );
581
582 $variation =& $image->requestImageVariation( $imageWidth, $imageHeight );
583
584 $imageURL = "/" . $variation->imagePath();
585 $imageWidth = $variation->width();
586 $imageHeight = $variation->height();
587 $imageCaption = $image->caption();
588
589 $t->set_var( "image_width", $imageWidth );
590 $t->set_var( "image_height", $imageHeight );
591 $t->set_var( "image_url", $imageURL );
592 $t->set_var( "image_caption", $imageCaption );
593 $t->set_var( "no_image", "" );
594 $t->parse( "image_item", "image_item_tpl" );
595
596 $t->set_var( "no_image_item", "" );
597 }
598 else
599 {
600 $t->parse( "no_image_item", "no_image_item_tpl" );
601 $t->set_var( "image_item", "" );
602 }
603
604
605 if ( $editLink->accepted() == true )
606 {
607 $yes_selected = "selected";
608 $no_selected = "";
609 }
610 else
611 {
612 $yes_selected = "";
613 $no_selected = "selected";
614 }
615
616 if ( isset( $Browse ) )
617 {
618 $linkID = $editLink->id();
619 $session = eZSession::globalSession();
620 $session->setVariable( "SelectImages", "single" );
621 $session->setVariable( "ImageListReturnTo", "/link/linkedit/edit/$linkID/" );
622 $session->setVariable( "NameInBrowse", $editLink->name() );
623 eZHTTPTool::header( "Location: /imagecatalogue/browse/" );
624 exit();
625 }
626 }
627 }
628
629 if ( $Action == "AttributeList" )
630 {
631 $tname = $Name;
632 $tkeywords = $Keywords;
633 $tdescription = $Description;
634 $turl = $Url;
635
636 $action_value = "update";
637
638 $t->parse( "no_image_item", "no_image_item_tpl" );
639 $t->set_var( "image_item", "" );
640
641 if ( $Accepted == true )
642 {
643 $yes_selected = "selected";
644 $no_selected = "";
645 }
646 else
647 {
648 $yes_selected = "";
649 $no_selected = "selected";
650 }
651
652 $action_value = $url_array[3];
653 }
654
655 // Selector
656 $link_select_dict = "";
657 $catCount = count( $linkCategoryList );
658 $t->set_var( "num_select_categories", min( $catCount, 10 ) );
659 $i = 0;
660
661 $t->set_var( "link_category", "" );
662 $t->set_var( "multiple_category", "" );
663
664 foreach( $linkCategoryList as $linkCategoryItem )
665 {
666 $t->set_var("link_category_id", $linkCategoryItem[0]->id() );
667 $t->set_var("link_category_name", $linkCategoryItem[0]->name() );
668
669 if ( isset( $LinkCategoryID ) && (int) $LinkCategoryID == $linkCategoryItem[0]->id() )
670 {
671 $t->set_var( "is_selected", "selected" );
672 }
673 else
674 {
675 $t->set_var( "is_selected", "" );
676 }
677
678 if ( $linkCategoryItem[1] > 0 )
679 $t->set_var( "option_level", str_repeat( "&nbsp;", $linkCategoryItem[1] ) );
680 else
681 $t->set_var( "option_level", "" );
682
683 $link_select_dict[ $linkCategoryItem[0]->id() ] = $i;
684 if ( in_array( $linkCategoryItem[0]->id(), $LinkCategoryIDArray )
685 and ( $LinkCategoryID != $linkCategoryItem[0]->id() ) )
686 {
687 $t->set_var( "multiple_selected", "selected" );
688 $i++;
689 }
690 else
691 {
692 $t->set_var( "multiple_selected", "" );
693 }
694
695 $t->parse( "link_category", "link_category_tpl", true );
696 $t->parse( "multiple_category", "multiple_category_tpl", true );
697 }
698
699
700 $type = new eZLinkType();
701 $types = $type->getAll();
702
703 if ( isset( $TypeID ) )
704 $linkType = new eZLinkType( $TypeID );
705
706 $t->set_var( "type", "" );
707
708 foreach ( $types as $typeItem )
709 {
710 if ( is_a( $linkType, "eZLinkType" ) )
711 {
712 if ( $linkType->id() == $typeItem->id() )
713 {
714 $t->set_var( "selected", "selected" );
715 }
716 else
717 {
718 $t->set_var( "selected", "" );
719 }
720 }
721 else
722 {
723 $t->set_var( "selected", "" );
724 }
725
726 $t->set_var( "type_id", $typeItem->id( ) );
727 $t->set_var( "type_name", $typeItem->name( ) );
728
729 $t->parse( "type", "type_tpl", true );
730 }
731
732
733 $i = 0;
734 if ( is_a( $linkType, "eZLinkType") )
735 {
736 $attributes = $linkType->attributes();
737 foreach ( $attributes as $attribute )
738 {
739
740 if ( ( $i %2 ) == 0 )
741 $t->set_var( "td_class", "bglight" );
742 else
743 $t->set_var( "td_class", "bgdark" );
744
745 $t->set_var( "attribute_id", $attribute->id( ) );
746 $t->set_var( "attribute_name", $attribute->name( ) );
747
748 if ( isset( $AttributeValue[$i] ) && $attribute->id() == $AttributeID[$i] )
749 $t->set_var( "attribute_value", $AttributeValue[$i] );
750 else
751 $t->set_var( "attribute_value", $attribute->value( $editLink ) );
752
753 $t->parse( "attribute", "attribute_tpl", true );
754 $i++;
755 }
756 }
757
758 if ( isset( $attributes ) && count( $attributes ) > 0 || !isset( $type ) )
759 {
760 $t->parse( "attribute_list", "attribute_list_tpl" );
761 }
762 else
763 {
764 $t->set_var( "attribute_list", "" );
765 }
766
767
768 $t->set_var( "yes_selected", $yes_selected );
769 $t->set_var( "no_selected", $no_selected );
770
771 $t->set_var( "action_value", $action_value );
772
773
774 $t->set_var( "name", $tname );
775 $t->set_var( "url", $turl );
776 $t->set_var( "keywords", $tkeywords );
777 $t->set_var( "description", $tdescription );
778 // $t->set_var( "accepted", $taccepted );
779
780 $t->set_var( "headline", $headline );
781
782 $t->set_var( "error_msg", $error_msg );
783
784 $t->set_var( "link_id", $LinkID );
785 $t->pparse( "output", "link_edit" );
786
787 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$session
$session
Definition: admin/articlelist.php:44
$Description
$Description
Definition: articlelistrss.php:38
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZINI
Reads and writes .ini style configuration files.
eZImage
Definition: ezimage.php:95
eZLinkAttribute
Definition: ezlinkattribute.php:33
eZLinkCategory
Definition: ezlinkcategory.php:37
eZLinkCategory\addLink
static addLink( $value, $categoryid=false)
Definition: ezlinkcategory.php:139
eZLinkCategory\removeLink
static removeLink( $value, $categoryid=false)
Definition: ezlinkcategory.php:117
eZLinkType
Definition: ezlinktype.php:33
eZLink
Definition: ezlink.php:65
eZPBImageFile
Definition: ezpbimagefile.php:71
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZSession\globalSession
static & globalSession( $id="", $fetch=true)
Definition: kernel/ezsession/classes/ezsession.php:614
eZTemplate
Definition: eztemplate.php:107
$Action
$Action
Definition: companysearch.php:80
$name
$name
Definition: companytypelist.php:194
$ImageID
$ImageID
Definition: companytypelist.php:201
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$action_value
$action_value
Definition: ezforum/admin/categoryedit.php:212
$cat
if(isset( $DeleteCategories)) $cat
Definition: ezforum/admin/categoryedit.php:49
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$link
$link
Definition: ezlink/admin/attributeedit.php:49
fetchURLInfo
& fetchURLInfo( $url)
Definition: ezmeta.php:27
exit
exit
Definition: folder.php:81
$LinkCategoryIDArray
else $LinkCategoryIDArray
Definition: linkedit.php:100
$languageIni
$languageIni
Definition: linkedit.php:513
$headline
$headline
Definition: linkedit.php:514
$i
$i
Definition: linkedit.php:659
$linkselect
$linkselect
Definition: linkedit.php:516
$Language
$Language
Definition: linkedit.php:35
$ini
$ini
Definition: linkedit.php:34
$catCount
$catCount
Definition: linkedit.php:657
$types
$types
Definition: linkedit.php:701
$linkCategoryList
$linkCategoryList
Definition: linkedit.php:518
$type
foreach( $linkCategoryList as $linkCategoryItem) $type
Definition: linkedit.php:700
$error_msg
$error_msg
Definition: linkedit.php:37
$t
if( $Action=="new") if( $Action=="edit") if((isset( $AddImages)) and(is_numeric( $LinkID)) and(is_numeric( $LinkID))) if(isset( $GetSite) && $GetSite) if( $Action=="update") if( $Action=="delete") if( $Action=="DeleteLinks") if( $Action=="insert") $t
Definition: linkedit.php:494
$error
$error
Definition: linkedit.php:36
$no_selected
$no_selected
Definition: linkedit.php:59
$link_select_dict
if( $Action=="edit") if( $Action=="AttributeList") $link_select_dict
Definition: linkedit.php:656
$url
$url
Definition: messagereviewlist.php:153
$Name
$Name
Definition: polledit.php:250
$Accepted
if(isset( $DeleteLinks)) if(isset( $Delete)) if(isset( $Back)) $Accepted
Definition: suggestlink.php:76
$yes_selected
$yes_selected
Definition: suggestlink.php:385
$user
$user
Definition: user/adlist.php:39
$image
$image
Definition: user/articlelist.php:242
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.